Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 422643 - media-gfx/graphviz-2.28.0 sci-biology/phrap-1.080812 - file collision in /usr/bin/cluster
Summary: media-gfx/graphviz-2.28.0 sci-biology/phrap-1.080812 - file collision in /usr...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-20 13:55 UTC by Martin Mokrejš
Modified: 2015-06-16 08:34 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Mokrejš 2012-06-20 13:55:09 UTC
* Detected file collision(s):
 * 
 *      /usr/bin/cluster
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * sci-biology/phrap-1.080812
 *      /usr/bin/cluster
 * 
 * Package 'media-gfx/graphviz-2.28.0' NOT merged due to file collisions.
 * If necessary, refer to your elog messages for the whole content of the
 * above message.
Comment 1 Jeroen Roovers gentoo-dev 2012-06-21 14:28:59 UTC
See also sci-chemistry/tisean and sci-chemistry/cluster.
Comment 2 Martin Mokrejš 2015-03-25 17:23:36 UTC
I communicated on this with both, graphviz and phrap developers. Phil Green (phrap developer) says cluster binary is not called directly by any other phrap package component. We can rename it freely. Justin, I propose renaming cluster to cluster_phrap.

The graphviz developers from AT&T were not optimistic about any change.
Comment 3 Justin Lecher gentoo-dev 2015-06-16 08:34:40 UTC
+*phrap-1.080812-r1 (16 Jun 2015)
+
+  16 Jun 2015; Justin Lecher <jlec@gentoo.org> +phrap-1.080812-r1.ebuild,
+  -phrap-1.080812.ebuild:
+  Bump to EAPI=5 and fix file collision, bug #422643; thanks Martin Mokrejs
+  contacting upstream regarding this issue
+